package cn.com.tenlion.materialstore.pojo.pos.materialvideo;

/**
 *
 * @ClassName: MaterialVideoPO
 * @Description: 视频素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:07:46
 * @Version: 3.0
 **/
public class MaterialVideoPO {

    private String materialVideoId;
    private String materialVideoFileId;
    private String materialId;
    private Integer materialOrder;
    private String materialRemark;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getMaterialVideoId() {
        return materialVideoId == null ? "" : materialVideoId.trim();
    }

    public void setMaterialVideoId(String materialVideoId) {
        this.materialVideoId = materialVideoId;
    }

    public String getMaterialVideoFileId() {
        return materialVideoFileId == null ? "" : materialVideoFileId.trim();
    }

    public void setMaterialVideoFileId(String materialVideoFileId) {
        this.materialVideoFileId = materialVideoFileId;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
